Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.recipe.protocol.v1
Class MarkAsArchivedRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.RequestType
          be.fgov.ehealth.recipe.protocol.v1.MarkAsArchivedRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:29:02+02:00",
               comments="JAXB RI v2.2.6")
    public class MarkAsArchivedRequest

extends RequestType
implements Serializable

Java class for MarkAsArchivedRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MarkAsArchivedRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
           <sequence>
             <element name="SecuredMarkAsArchivedRequest" type="{urn:be:fgov:ehealth:recipe:core:v1}SecuredContentType"/>
             <element name="AdministrativeInformation" type="{urn:be:fgov:ehealth:recipe:core:v1}ExecutorServiceAdministrativeInformationType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MarkAsArchivedRequest()`

Method Summary
`ExecutorServiceAdministrativeInformationType` | `getAdministrativeInformation()` Gets the value of the administrativeInformation property.
`SecuredContentType` | `getSecuredMarkAsArchivedRequest()` Gets the value of the securedMarkAsArchivedRequest property.
`void` | `setAdministrativeInformation(ExecutorServiceAdministrativeInformationType value)` Sets the value of the administrativeInformation property.
`void` | `setSecuredMarkAsArchivedRequest(SecuredContentType value)` Sets the value of the securedMarkAsArchivedRequest property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkAsArchivedRequest

    public MarkAsArchivedRequest()

Method Detail

### getSecuredMarkAsArchivedRequest

    public SecuredContentType getSecuredMarkAsArchivedRequest()

  Gets the value of the securedMarkAsArchivedRequest property.

  Returns:
    possible object is `SecuredContentType`

### setSecuredMarkAsArchivedRequest

    public void setSecuredMarkAsArchivedRequest(SecuredContentType value)

  Sets the value of the securedMarkAsArchivedRequest property.

  Parameters:
    `value` - allowed object is `SecuredContentType`

### getAdministrativeInformation

    public ExecutorServiceAdministrativeInformationType getAdministrativeInformation()

  Gets the value of the administrativeInformation property.

  Returns:
    possible object is `ExecutorServiceAdministrativeInformationType`

### setAdministrativeInformation

    public void setAdministrativeInformation(ExecutorServiceAdministrativeInformationType value)

  Sets the value of the administrativeInformation property.

  Parameters:
    `value` - allowed object is `ExecutorServiceAdministrativeInformationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.